Skip to content
Start here

Get job progress

client.r2.superSlurper.jobs.progress(stringjobId, JobProgressParams { account_id } params, RequestOptionsoptions?): JobProgressResponse { id, createdAt, failedObjects, 4 more }
GET/accounts/{account_id}/slurper/jobs/{job_id}/progress

Retrieves current progress metrics for an R2 Super Slurper migration job

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
jobId: string
params: JobProgressParams { account_id }
account_id: string
ReturnsExpand Collapse
JobProgressResponse { id, createdAt, failedObjects, 4 more }
id?: string
createdAt?: string
failedObjects?: number
objects?: number
skippedObjects?: number
status?: "running" | "paused" | "aborted" | "completed"
One of the following:
"running"
"paused"
"aborted"
"completed"
transferredObjects?: number

Get job progress

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.r2.superSlurper.jobs.progress('job_id', { account_id: 'account_id' });

console.log(response.id);
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "failedObjects": 0,
    "objects": 0,
    "skippedObjects": 0,
    "status": "running",
    "transferredObjects": 0
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "id": "id",
    "createdAt": "createdAt",
    "failedObjects": 0,
    "objects": 0,
    "skippedObjects": 0,
    "status": "running",
    "transferredObjects": 0
  },
  "success": true
}